*,
::after,
::before {
  box-sizing: border-box;
  font-family: "Ubuntu", sans-serif;
  text-decoration: none;
  list-style: none;
}

ul[class],
ol[class],
h1 {
  margin: 0;
  padding: 0;
  list-style: none;
}
:root {
  --hover-main: #01813f;
  --color-main: #ffffff;
}
body {
  background: url(../img/background.png);
  background-size: 100%;
}

.header {
  background-color: rgba(0, 0, 0, 0.4);
}
.header-navigation {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.navigation-line {
  display: flex;
  align-items: center;
  gap: 25px;
  position: relative;
}
.navigation-line::after {
  content: "";
  width: 1px;
  height: 19px;
  position: absolute;
  top: 15px;
  left: 141px;
  mix-blend-mode: normal;
  opacity: 0.5;
  background-color: rgba(255, 255, 255, 0.9);
}
.logo {
  margin-left: 79px;
  font-size: 22px;
  line-height: 22px;
  padding-top: 18px;
  padding-bottom: 18px;
}
.logo-text {
  color: var(--color-main);
  text-transform: uppercase;
  transition: all 0.6s ease;
}
.checkin {
  margin-left: 27px;
  margin-right: 73px;
  color: var(--color-main);
}
.logo-text:hover {
  color: var(--hover-main);
}
.icon-svg {
  transition: all 0.6s ease;
}
.icon-svg:hover {
  fill: var(--hover-main);
}
.checkin-links {
  color: var(--color-main);
  font-size: 14px;
  line-height: 14px;
  transition: all 0.6s ease;
}
.checkin-links:hover {
  color: var(--hover-main);
}

.form {
  width: 444px;
  display: block;
  position: absolute;
  background-color: var(--color-main);
  top: calc(50% + 26px);
  transform: translate(0, -50%);
  left: 0;
  right: 0;
  margin: 0 auto;
}
.form::before {
  content: "";
  position: absolute;
  width: 18px;
  height: 18px;
  background-color: #3cb878;
  top: 29px;
  left: 0;
}

.container {
  max-width: 354px;
  padding: 31px 15px 38px 15px;
  margin-left: auto;
  margin-right: auto;
}
.checkin-form {
  display: flex;
  justify-content: space-between;
}
.checkin-item {
  padding-bottom: 15px;
  font-size: 20px;
  line-height: 20px;
  color: #434343;
}
.checkin-link {
  font-size: 14px;
  line-height: 14px;
  color: #3cb878;
  transition: all 0.6s ease;
}
.checkin-link:hover {
  color: var(--hover-main);
  text-decoration: underline;
}

.signup {
  cursor: not-allowed;
  position: relative;
  width: 160px;
  border-radius: 4px;
  border: none;
  outline: 0;
  padding: 0;
  transition: all 0.6s ease;
}
.fb {
  background-color: #305db8;
}
.fb:hover {
  background-color: #022263;
}
.google {
  background-color: #df4a32;
}
.google:hover {
  background-color: #ab1f09;
}
.button {
  display: flex;
  justify-content: space-between;
}
.signup {
  display: grid;
  grid-template-columns: 1fr 2fr;
  justify-items: center;
  align-items: center;
}
.fb-img {
  padding: 12px 0 12px 0;
}
.google-img {
  padding: 15px 0 15px 0;
}
.signup::before {
  content: "";
  position: absolute;
  width: 1px;
  height: 28px;
  background: #0a162f;
  opacity: 0.1;
  top: 12px;
  left: 49px;
}
.signup-title {
  font-size: 16px;
  line-height: 16px;
  color: var(--color-main);
}

.other-choise {
  position: relative;
  display: block;
  font-size: 14px;
  line-height: 14px;
  color: #848484;
  text-align: center;
  margin-top: 31px;
  margin-bottom: 11px;
}
.other-choise::before,
.other-choise::after {
  content: "";
  position: absolute;
  width: 152px;
  height: 1px;
  background-color: #f2f2f2;
  top: 7px;
  left: 0;
}
.other-choise::after {
  top: 7px;
  left: 172px;
}

.forms-fill {
  display: grid;
  grid-template-columns: 1fr;
  justify-content: center;
  row-gap: 15px;
}
.input-form {
  width: 100%;
  height: 46px;
  box-sizing: border-box;
  background-color: var(--color-main);
  border: 1px solid #f2f2f2;
  border-radius: 4px;
  font-size: 14px;
  line-height: 14px;
  color: #bebebe;
  outline: 0;
  transition: all 0.6s ease;
  padding-left: 20px;
}
.input-form:focus {
  outline: 0;
  outline-offset: 0;
  box-shadow: 0px 3px 8px rgba(0, 0, 0, 0.21);
  border: none;
  border-radius: 4px;
}
.policy {
  color: #3cb878;
  transition: 0.6s ease;
  padding-left: 3px;
}
.policy:hover {
  color: var(--hover-main);
  text-decoration: underline;
}
.checkbox > input {
  position: absolute;
  opacity: 0;
}
.checkbox > .checkbox-text {
  display: flex;
  align-items: center;
  user-select: none;
}
.checkbox > .checkbox-text::before {
  content: "";
  display: inline-block;
  width: 20px;
  height: 20px;
  border: 1px solid #f2f2f2;
  margin-right: 8px;
  background-repeat: no-repeat;
  background-position: center center;
  background-size: 100%;
}
.checkbox > input:checked + .checkbox-text::before {
  background-image: url(../img/checked.svg);
}
.create {
  width: 100%;
  cursor: pointer;
  color: var(--color-main);
  background-color: rgba(60, 184, 120, 0.8);
  border-radius: 4px;
  margin-top: 20px;
  font-size: 16px;
  line-height: 16px;
  border: none;
  padding-top: 16px;
  padding-bottom: 16px;
  outline: 0;
  transition: all 0.6s ease;
}
.create:hover {
  background-color: var(--hover-main);
}
